
<script>
    var requireJS = [];
    loadCSS('css/bootstrap-treeview.min.css');
    loadJS(requireJS, 'js/bootstrap-treeview.min.js');
</script>

<div class="page-title" th:if="${!simple}">
    <div class="title_left">
        <h3 th:text="#{members.tree}">Árbol de afiliados</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">
    <div class="x_title" th:if="${!simple}">
        <div class="well" style="overflow: auto">
            <div class="col-md-12">
                <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="search-text"/>
                <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i><span th:text="#{search}">Buscar</span></button>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>

    <div class="col-md-12 col-sm-12 col-xs-12">        
        <div class="x_panel">            
            <div id="tree"></div>
        </div>
    </div>
</div>

<script th:inline="javascript">
    var id = '';
    /*<![CDATA[*/
    id = /*[[${id}]]*/ 1;
    /*]]>*/

    $(document).ready(function () {
        $.get('/admin/members/tree/data/' + id, null, function (data, status) {
            $('#tree').treeview({
                data: data,
                levels: 0,
                backColor: 'green',
                expandIcon: "fa fa-plus",
                collapseIcon: "fa fa-minus"
            });
        });


        $('#search-button').click(function () {

            $('#tree').treeview('clearSearch');
            $('#tree').treeview('collapseAll', {silent: true});

            var q = $('#search-text').val();

            $('#tree').treeview('search', [q, {
                    ignoreCase: true, // case insensitive
                    exactMatch: false, // like or equals
                    revealResults: true, // reveal matching nodes
                }]);
        });



        /*$.get('/test/calc/' + id, null, function (data, status) {
         $('#calc').html(JSON.stringify(data, null, 2));
         });*/
    });
</script>

